import{S as La,i as Fa,s as Aa,e as s,k as d,w as v,t as r,M as qa,c as n,d as t,m,a,x as y,h as i,b as l,N as Na,G as e,g as f,y as w,q as x,o as $,B as Y,v as Ma,L as Ln}from"../../chunks/vendor-hf-doc-builder.js";import{T as Da}from"../../chunks/Tip-hf-doc-builder.js";import{D as C}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Fn}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as oo}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Dn}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Sa(I){let h,T,_,g,b;return g=new Fn({props:{code:`from transformers import YolosConfig, YolosModel

# Initializing a YOLOS hustvl/yolos-base style configuration
configuration = YolosConfig()

# Initializing a model (with random weights) from the hustvl/yolos-base style configuration
model = YolosModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> YolosConfig, YolosModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a YOLOS hustvl/yolos-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = YolosConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the hustvl/yolos-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = YolosModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=s("p"),T=r("Example:"),_=d(),v(g.$$.fragment)},l(c){h=n(c,"P",{});var u=a(h);T=i(u,"Example:"),u.forEach(t),_=m(c),y(g.$$.fragment,c)},m(c,u){f(c,h,u),e(h,T),f(c,_,u),w(g,c,u),b=!0},p:Ln,i(c){b||(x(g.$$.fragment,c),b=!0)},o(c){$(g.$$.fragment,c),b=!1},d(c){c&&t(h),c&&t(_),Y(g,c)}}}function Ra(I){let h,T,_,g,b;return{c(){h=s("p"),T=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){h=n(c,"P",{});var u=a(h);T=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n(u,"CODE",{});var D=a(_);g=i(D,"Module"),D.forEach(t),b=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(c,u){f(c,h,u),e(h,T),e(h,_),e(_,g),e(h,b)},d(c){c&&t(h)}}}function Ua(I){let h,T,_,g,b;return g=new Fn({props:{code:`from transformers import YolosFeatureExtractor, YolosModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

feature_extractor = YolosFeatureExtractor.from_pretrained("hustvl/yolos-small")
model = YolosModel.from_pretrained("hustvl/yolos-small")

inputs = feature_extractor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> YolosFeatureExtractor, YolosModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = YolosFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;hustvl/yolos-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = YolosModel.from_pretrained(<span class="hljs-string">&quot;hustvl/yolos-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">3401</span>, <span class="hljs-number">384</span>]`}}),{c(){h=s("p"),T=r("Example:"),_=d(),v(g.$$.fragment)},l(c){h=n(c,"P",{});var u=a(h);T=i(u,"Example:"),u.forEach(t),_=m(c),y(g.$$.fragment,c)},m(c,u){f(c,h,u),e(h,T),f(c,_,u),w(g,c,u),b=!0},p:Ln,i(c){b||(x(g.$$.fragment,c),b=!0)},o(c){$(g.$$.fragment,c),b=!1},d(c){c&&t(h),c&&t(_),Y(g,c)}}}function Wa(I){let h,T,_,g,b;return{c(){h=s("p"),T=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(c){h=n(c,"P",{});var u=a(h);T=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n(u,"CODE",{});var D=a(_);g=i(D,"Module"),D.forEach(t),b=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(c,u){f(c,h,u),e(h,T),e(h,_),e(_,g),e(h,b)},d(c){c&&t(h)}}}function Va(I){let h,T,_,g,b;return g=new Fn({props:{code:`from transformers import AutoFeatureExtractor, AutoModelForObjectDetection
import torch
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

feature_extractor = AutoFeatureExtractor.from_pretrained("hustvl/yolos-tiny")
model = AutoModelForObjectDetection.from_pretrained("hustvl/yolos-tiny")

inputs = feature_extractor(images=image, return_tensors="pt")
outputs = model(**inputs)

# convert outputs (bounding boxes and class logits) to COCO API
target_sizes = torch.tensor([image.size[::-1]])
results = feature_extractor.post_process_object_detection(
    outputs, threshold=0.9, target_sizes=target_sizes
)[0]

for score, label, box in zip(results["scores"], results["labels"], results["boxes"]):
    box = [round(i, 2) for i in box.tolist()]
    print(
        f"Detected {model.config.id2label[label.item()]} with confidence "
        f"{round(score.item(), 3)} at location {box}"
    )`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, AutoModelForObjectDetection
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;hustvl/yolos-tiny&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForObjectDetection.from_pretrained(<span class="hljs-string">&quot;hustvl/yolos-tiny&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># convert outputs (bounding boxes and class logits) to COCO API</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_sizes = torch.tensor([image.size[::-<span class="hljs-number">1</span>]])
<span class="hljs-meta">&gt;&gt;&gt; </span>results = feature_extractor.post_process_object_detection(
<span class="hljs-meta">... </span>    outputs, threshold=<span class="hljs-number">0.9</span>, target_sizes=target_sizes
<span class="hljs-meta">... </span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> score, label, box <span class="hljs-keyword">in</span> <span class="hljs-built_in">zip</span>(results[<span class="hljs-string">&quot;scores&quot;</span>], results[<span class="hljs-string">&quot;labels&quot;</span>], results[<span class="hljs-string">&quot;boxes&quot;</span>]):
<span class="hljs-meta">... </span>    box = [<span class="hljs-built_in">round</span>(i, <span class="hljs-number">2</span>) <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> box.tolist()]
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(
<span class="hljs-meta">... </span>        <span class="hljs-string">f&quot;Detected <span class="hljs-subst">{model.config.id2label[label.item()]}</span> with confidence &quot;</span>
<span class="hljs-meta">... </span>        <span class="hljs-string">f&quot;<span class="hljs-subst">{<span class="hljs-built_in">round</span>(score.item(), <span class="hljs-number">3</span>)}</span> at location <span class="hljs-subst">{box}</span>&quot;</span>
<span class="hljs-meta">... </span>    )
Detected remote <span class="hljs-keyword">with</span> confidence <span class="hljs-number">0.994</span> at location [<span class="hljs-number">46.96</span>, <span class="hljs-number">72.61</span>, <span class="hljs-number">181.02</span>, <span class="hljs-number">119.73</span>]
Detected remote <span class="hljs-keyword">with</span> confidence <span class="hljs-number">0.975</span> at location [<span class="hljs-number">340.66</span>, <span class="hljs-number">79.19</span>, <span class="hljs-number">372.59</span>, <span class="hljs-number">192.65</span>]
Detected cat <span class="hljs-keyword">with</span> confidence <span class="hljs-number">0.984</span> at location [<span class="hljs-number">12.27</span>, <span class="hljs-number">54.25</span>, <span class="hljs-number">319.42</span>, <span class="hljs-number">470.99</span>]
Detected remote <span class="hljs-keyword">with</span> confidence <span class="hljs-number">0.922</span> at location [<span class="hljs-number">41.66</span>, <span class="hljs-number">71.96</span>, <span class="hljs-number">178.7</span>, <span class="hljs-number">120.33</span>]
Detected cat <span class="hljs-keyword">with</span> confidence <span class="hljs-number">0.914</span> at location [<span class="hljs-number">342.34</span>, <span class="hljs-number">21.48</span>, <span class="hljs-number">638.64</span>, <span class="hljs-number">372.46</span>]`}}),{c(){h=s("p"),T=r("Examples:"),_=d(),v(g.$$.fragment)},l(c){h=n(c,"P",{});var u=a(h);T=i(u,"Examples:"),u.forEach(t),_=m(c),y(g.$$.fragment,c)},m(c,u){f(c,h,u),e(h,T),f(c,_,u),w(g,c,u),b=!0},p:Ln,i(c){b||(x(g.$$.fragment,c),b=!0)},o(c){$(g.$$.fragment,c),b=!1},d(c){c&&t(h),c&&t(_),Y(g,c)}}}function Ba(I){let h,T,_,g,b,c,u,D,Dt,Qo,S,X,Yo,xe,Lt,To,Ft,Xo,A,At,$e,qt,Nt,to,Mt,St,Ko,so,Rt,Zo,no,jo,Ut,et,ao,Wt,ot,K,L,Vt,ro,Bt,Ht,io,Jt,Gt,Oo,Qt,Xt,Kt,Ye,Zt,Te,es,os,tt,Z,An,st,ee,ts,lo,ss,ns,nt,q,as,je,rs,is,Oe,ls,cs,at,R,oe,Po,Pe,ds,Eo,ms,rt,P,Ee,ps,U,hs,co,fs,gs,Ce,us,_s,bs,W,vs,mo,ys,ws,po,xs,$s,Ys,te,it,V,se,Co,Ie,Ts,Io,js,lt,j,ke,Os,ko,Ps,Es,ne,ze,Cs,zo,Is,ks,ae,De,zs,Do,Ds,Ls,re,Le,Fs,Fe,As,ho,qs,Ns,ct,B,ie,Lo,Ae,Ms,Fo,Ss,dt,O,qe,Rs,Ao,Us,Ws,le,Ne,Vs,qo,Bs,Hs,ce,Me,Js,No,Gs,Qs,de,Se,Xs,Re,Ks,fo,Zs,en,mt,H,me,Mo,Ue,on,So,tn,pt,F,We,sn,Ve,nn,Be,an,rn,ln,k,He,cn,J,dn,go,mn,pn,Ro,hn,fn,gn,pe,un,he,ht,G,fe,Uo,Je,_n,Wo,bn,ft,E,Ge,vn,Vo,yn,wn,Qe,xn,Xe,$n,Yn,Tn,z,Ke,jn,Q,On,uo,Pn,En,Bo,Cn,In,kn,ge,zn,ue,gt;return c=new oo({}),xe=new oo({}),Pe=new oo({}),Ee=new C({props:{name:"class transformers.YolosConfig",anchor:"transformers.YolosConfig",parameters:[{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"image_size",val:" = [512, 864]"},{name:"patch_size",val:" = 16"},{name:"num_channels",val:" = 3"},{name:"qkv_bias",val:" = True"},{name:"num_detection_tokens",val:" = 100"},{name:"use_mid_position_embeddings",val:" = True"},{name:"auxiliary_loss",val:" = False"},{name:"class_cost",val:" = 1"},{name:"bbox_cost",val:" = 5"},{name:"giou_cost",val:" = 2"},{name:"bbox_loss_coefficient",val:" = 5"},{name:"giou_loss_coefficient",val:" = 2"},{name:"eos_coefficient",val:" = 0.1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.YolosConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.YolosConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.YolosConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.YolosConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.YolosConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.YolosConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.YolosConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.YolosConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.YolosConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.YolosConfig.image_size",description:`<strong>image_size</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[512, 864]</code>) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.YolosConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>16</code>) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.YolosConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <code>3</code>) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.YolosConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries, keys and values.`,name:"qkv_bias"},{anchor:"transformers.YolosConfig.num_detection_tokens",description:`<strong>num_detection_tokens</strong> (<code>int</code>, <em>optional</em>, defaults to <code>100</code>) &#x2014;
The number of detection tokens.`,name:"num_detection_tokens"},{anchor:"transformers.YolosConfig.use_mid_position_embeddings",description:`<strong>use_mid_position_embeddings</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use the mid-layer position encodings.`,name:"use_mid_position_embeddings"},{anchor:"transformers.YolosConfig.auxiliary_loss",description:`<strong>auxiliary_loss</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether auxiliary decoding losses (loss at each decoder layer) are to be used.`,name:"auxiliary_loss"},{anchor:"transformers.YolosConfig.class_cost",description:`<strong>class_cost</strong> (<code>float</code>, <em>optional</em>, defaults to 1) &#x2014;
Relative weight of the classification error in the Hungarian matching cost.`,name:"class_cost"},{anchor:"transformers.YolosConfig.bbox_cost",description:`<strong>bbox_cost</strong> (<code>float</code>, <em>optional</em>, defaults to 5) &#x2014;
Relative weight of the L1 error of the bounding box coordinates in the Hungarian matching cost.`,name:"bbox_cost"},{anchor:"transformers.YolosConfig.giou_cost",description:`<strong>giou_cost</strong> (<code>float</code>, <em>optional</em>, defaults to 2) &#x2014;
Relative weight of the generalized IoU loss of the bounding box in the Hungarian matching cost.`,name:"giou_cost"},{anchor:"transformers.YolosConfig.bbox_loss_coefficient",description:`<strong>bbox_loss_coefficient</strong> (<code>float</code>, <em>optional</em>, defaults to 5) &#x2014;
Relative weight of the L1 bounding box loss in the object detection loss.`,name:"bbox_loss_coefficient"},{anchor:"transformers.YolosConfig.giou_loss_coefficient",description:`<strong>giou_loss_coefficient</strong> (<code>float</code>, <em>optional</em>, defaults to 2) &#x2014;
Relative weight of the generalized IoU loss in the object detection loss.`,name:"giou_loss_coefficient"},{anchor:"transformers.YolosConfig.eos_coefficient",description:`<strong>eos_coefficient</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
Relative classification weight of the &#x2018;no-object&#x2019; class in the object detection loss.`,name:"eos_coefficient"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/configuration_yolos.py#L35"}}),te=new Dn({props:{anchor:"transformers.YolosConfig.example",$$slots:{default:[Sa]},$$scope:{ctx:I}}}),Ie=new oo({}),ke=new C({props:{name:"class transformers.YolosImageProcessor",anchor:"transformers.YolosImageProcessor",parameters:[{name:"format",val:": typing.Union[str, transformers.models.yolos.image_processing_yolos.AnnotionFormat] = <AnnotionFormat.COCO_DETECTION: 'coco_detection'>"},{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float]] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float]] = None"},{name:"do_pad",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.YolosImageProcessor.format",description:`<strong>format</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;coco_detection&quot;</code>) &#x2014;
Data format of the annotations. One of &#x201C;coco_detection&#x201D; or &#x201C;coco_panoptic&#x201D;.`,name:"format"},{anchor:"transformers.YolosImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be
overridden by the <code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.YolosImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 800, &quot;longest_edge&quot;: 1333}</code>):
Size of the image&#x2019;s (height, width) dimensions after resizing. Can be overridden by the <code>size</code> parameter in
the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.YolosImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image.`,name:"resample"},{anchor:"transformers.YolosImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the
<code>do_rescale</code> parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.YolosImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter in the
<code>preprocess</code> method.
do_normalize &#x2014;
Controls whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the
<code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.YolosImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_DEFAULT_MEAN</code>) &#x2014;
Mean values to use when normalizing the image. Can be a single value or a list of values, one for each
channel. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.YolosImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_DEFAULT_STD</code>) &#x2014;
Standard deviation values to use when normalizing the image. Can be a single value or a list of values, one
for each channel. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"},{anchor:"transformers.YolosImageProcessor.do_pad",description:`<strong>do_pad</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to pad the image to the largest image in a batch and create a pixel mask. Can be
overridden by the <code>do_pad</code> parameter in the <code>preprocess</code> method.`,name:"do_pad"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/image_processing_yolos.py#L649"}}),ze=new C({props:{name:"preprocess",anchor:"transformers.YolosImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"annotations",val:": typing.Union[typing.List[typing.Dict], typing.List[typing.List[typing.Dict]], NoneType] = None"},{name:"return_segmentation_masks",val:": bool = None"},{name:"masks_path",val:": typing.Union[str, pathlib.Path, NoneType] = None"},{name:"do_resize",val:": typing.Optional[bool] = None"},{name:"size",val:": typing.Union[typing.Dict[str, int], NoneType] = None"},{name:"resample",val:" = None"},{name:"do_rescale",val:": typing.Optional[bool] = None"},{name:"rescale_factor",val:": typing.Union[int, float, NoneType] = None"},{name:"do_normalize",val:": typing.Optional[bool] = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_pad",val:": typing.Optional[bool] = None"},{name:"format",val:": typing.Union[str, transformers.models.yolos.image_processing_yolos.AnnotionFormat, NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": typing.Union[str, transformers.image_utils.ChannelDimension] = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.YolosImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image or batch of images to preprocess.`,name:"images"},{anchor:"transformers.YolosImageProcessor.preprocess.annotations",description:`<strong>annotations</strong> (<code>List[Dict]</code> or <code>List[List[Dict]]</code>, <em>optional</em>) &#x2014;
List of annotations associated with the image or batch of images. If annotionation is for object
detection, the annotations should be a dictionary with the following keys:<ul>
<li>&#x201C;image_id&#x201D; (<code>int</code>): The image id.</li>
<li>&#x201C;annotations&#x201D; (<code>List[Dict]</code>): List of annotations for an image. Each annotation should be a
dictionary. An image can have no annotations, in which case the list should be empty.
If annotionation is for segmentation, the annotations should be a dictionary with the following keys:</li>
<li>&#x201C;image_id&#x201D; (<code>int</code>): The image id.</li>
<li>&#x201C;segments_info&#x201D; (<code>List[Dict]</code>): List of segments for an image. Each segment should be a dictionary.
An image can have no segments, in which case the list should be empty.</li>
<li>&#x201C;file_name&#x201D; (<code>str</code>): The file name of the image.</li>
</ul>`,name:"annotations"},{anchor:"transformers.YolosImageProcessor.preprocess.return_segmentation_masks",description:`<strong>return_segmentation_masks</strong> (<code>bool</code>, <em>optional</em>, defaults to self.return_segmentation_masks) &#x2014;
Whether to return segmentation masks.`,name:"return_segmentation_masks"},{anchor:"transformers.YolosImageProcessor.preprocess.masks_path",description:`<strong>masks_path</strong> (<code>str</code> or <code>pathlib.Path</code>, <em>optional</em>) &#x2014;
Path to the directory containing the segmentation masks.`,name:"masks_path"},{anchor:"transformers.YolosImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to self.do_resize) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.YolosImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to self.size) &#x2014;
Size of the image after resizing.`,name:"size"},{anchor:"transformers.YolosImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to self.resample) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"transformers.YolosImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to self.do_rescale) &#x2014;
Whether to rescale the image.`,name:"do_rescale"},{anchor:"transformers.YolosImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to self.rescale_factor) &#x2014;
Rescale factor to use when rescaling the image.`,name:"rescale_factor"},{anchor:"transformers.YolosImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to self.do_normalize) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.YolosImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to self.image_mean) &#x2014;
Mean to use when normalizing the image.`,name:"image_mean"},{anchor:"transformers.YolosImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to self.image_std) &#x2014;
Standard deviation to use when normalizing the image.`,name:"image_std"},{anchor:"transformers.YolosImageProcessor.preprocess.do_pad",description:`<strong>do_pad</strong> (<code>bool</code>, <em>optional</em>, defaults to self.do_pad) &#x2014;
Whether to pad the image.`,name:"do_pad"},{anchor:"transformers.YolosImageProcessor.preprocess.format",description:`<strong>format</strong> (<code>str</code> or <code>AnnotionFormat</code>, <em>optional</em>, defaults to self.format) &#x2014;
Format of the annotations.`,name:"format"},{anchor:"transformers.YolosImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>, defaults to self.return_tensors) &#x2014;
Type of tensors to return. If <code>None</code>, will return the list of images.`,name:"return_tensors"},{anchor:"transformers.YolosImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>str</code> or <code>ChannelDimension</code>, <em>optional</em>, defaults to self.data_format) &#x2014;
The channel dimension format of the image. If not provided, it will be the same as the input image.`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/image_processing_yolos.py#L912"}}),De=new C({props:{name:"pad",anchor:"transformers.YolosImageProcessor.pad",parameters:[{name:"images",val:": typing.List[numpy.ndarray]"},{name:"return_pixel_mask",val:": bool = False"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": typing.Optional[transformers.image_utils.ChannelDimension] = None"}],parametersDescription:[{anchor:"transformers.YolosImageProcessor.pad.image",description:`<strong>image</strong> (<code>np.ndarray</code>) &#x2014;
Image to pad.`,name:"image"},{anchor:"transformers.YolosImageProcessor.pad.return_pixel_mask",description:`<strong>return_pixel_mask</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to return a pixel mask.`,name:"return_pixel_mask"},{anchor:"transformers.YolosImageProcessor.pad.input_channel_dimension",description:`<strong>input_channel_dimension</strong> (<code>ChannelDimension</code>, <em>optional</em>) &#x2014;
The channel dimension format of the image. If not provided, it will be inferred from the input image.`,name:"input_channel_dimension"},{anchor:"transformers.YolosImageProcessor.pad.data_format",description:`<strong>data_format</strong> (<code>str</code> or <code>ChannelDimension</code>, <em>optional</em>) &#x2014;
The channel dimension format of the image. If not provided, it will be the same as the input image.`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/image_processing_yolos.py#L880"}}),Le=new C({props:{name:"post_process_object_detection",anchor:"transformers.YolosImageProcessor.post_process_object_detection",parameters:[{name:"outputs",val:""},{name:"threshold",val:": float = 0.5"},{name:"target_sizes",val:": typing.Union[transformers.utils.generic.TensorType, typing.List[typing.Tuple]] = None"}],parametersDescription:[{anchor:"transformers.YolosImageProcessor.post_process_object_detection.outputs",description:`<strong>outputs</strong> (<code>YolosObjectDetectionOutput</code>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.YolosImageProcessor.post_process_object_detection.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Score threshold to keep object detection predictions.`,name:"threshold"},{anchor:"transformers.YolosImageProcessor.post_process_object_detection.target_sizes",description:`<strong>target_sizes</strong> (<code>torch.Tensor</code> or <code>List[Tuple[int, int]]</code>, <em>optional</em>) &#x2014;
Tensor of shape <code>(batch_size, 2)</code> or list of tuples (<code>Tuple[int, int]</code>) containing the target size
<code>(height, width)</code> of each image in the batch. If unset, predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/image_processing_yolos.py#L1163",returnDescription:`
<p>A list of dictionaries, each dictionary containing the scores, labels and boxes for an image
in the batch as predicted by the model.</p>
`,returnType:`
<p><code>List[Dict]</code></p>
`}}),Ae=new oo({}),qe=new C({props:{name:"class transformers.YolosImageProcessor",anchor:"transformers.YolosImageProcessor",parameters:[{name:"format",val:": typing.Union[str, transformers.models.yolos.image_processing_yolos.AnnotionFormat] = <AnnotionFormat.COCO_DETECTION: 'coco_detection'>"},{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float]] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float]] = None"},{name:"do_pad",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.YolosImageProcessor.format",description:`<strong>format</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;coco_detection&quot;</code>) &#x2014;
Data format of the annotations. One of &#x201C;coco_detection&#x201D; or &#x201C;coco_panoptic&#x201D;.`,name:"format"},{anchor:"transformers.YolosImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be
overridden by the <code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.YolosImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 800, &quot;longest_edge&quot;: 1333}</code>):
Size of the image&#x2019;s (height, width) dimensions after resizing. Can be overridden by the <code>size</code> parameter in
the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.YolosImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image.`,name:"resample"},{anchor:"transformers.YolosImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the
<code>do_rescale</code> parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.YolosImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter in the
<code>preprocess</code> method.
do_normalize &#x2014;
Controls whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the
<code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.YolosImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_DEFAULT_MEAN</code>) &#x2014;
Mean values to use when normalizing the image. Can be a single value or a list of values, one for each
channel. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.YolosImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_DEFAULT_STD</code>) &#x2014;
Standard deviation values to use when normalizing the image. Can be a single value or a list of values, one
for each channel. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"},{anchor:"transformers.YolosImageProcessor.do_pad",description:`<strong>do_pad</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to pad the image to the largest image in a batch and create a pixel mask. Can be
overridden by the <code>do_pad</code> parameter in the <code>preprocess</code> method.`,name:"do_pad"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/image_processing_yolos.py#L649"}}),Ne=new C({props:{name:"__call__",anchor:"transformers.YolosImageProcessor.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/image_processing_utils.py#L435"}}),Me=new C({props:{name:"pad",anchor:"transformers.YolosImageProcessor.pad",parameters:[{name:"images",val:": typing.List[numpy.ndarray]"},{name:"return_pixel_mask",val:": bool = False"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": typing.Optional[transformers.image_utils.ChannelDimension] = None"}],parametersDescription:[{anchor:"transformers.YolosImageProcessor.pad.image",description:`<strong>image</strong> (<code>np.ndarray</code>) &#x2014;
Image to pad.`,name:"image"},{anchor:"transformers.YolosImageProcessor.pad.return_pixel_mask",description:`<strong>return_pixel_mask</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to return a pixel mask.`,name:"return_pixel_mask"},{anchor:"transformers.YolosImageProcessor.pad.input_channel_dimension",description:`<strong>input_channel_dimension</strong> (<code>ChannelDimension</code>, <em>optional</em>) &#x2014;
The channel dimension format of the image. If not provided, it will be inferred from the input image.`,name:"input_channel_dimension"},{anchor:"transformers.YolosImageProcessor.pad.data_format",description:`<strong>data_format</strong> (<code>str</code> or <code>ChannelDimension</code>, <em>optional</em>) &#x2014;
The channel dimension format of the image. If not provided, it will be the same as the input image.`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/image_processing_yolos.py#L880"}}),Se=new C({props:{name:"post_process_object_detection",anchor:"transformers.YolosImageProcessor.post_process_object_detection",parameters:[{name:"outputs",val:""},{name:"threshold",val:": float = 0.5"},{name:"target_sizes",val:": typing.Union[transformers.utils.generic.TensorType, typing.List[typing.Tuple]] = None"}],parametersDescription:[{anchor:"transformers.YolosImageProcessor.post_process_object_detection.outputs",description:`<strong>outputs</strong> (<code>YolosObjectDetectionOutput</code>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.YolosImageProcessor.post_process_object_detection.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>) &#x2014;
Score threshold to keep object detection predictions.`,name:"threshold"},{anchor:"transformers.YolosImageProcessor.post_process_object_detection.target_sizes",description:`<strong>target_sizes</strong> (<code>torch.Tensor</code> or <code>List[Tuple[int, int]]</code>, <em>optional</em>) &#x2014;
Tensor of shape <code>(batch_size, 2)</code> or list of tuples (<code>Tuple[int, int]</code>) containing the target size
<code>(height, width)</code> of each image in the batch. If unset, predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/image_processing_yolos.py#L1163",returnDescription:`
<p>A list of dictionaries, each dictionary containing the scores, labels and boxes for an image
in the batch as predicted by the model.</p>
`,returnType:`
<p><code>List[Dict]</code></p>
`}}),Ue=new oo({}),We=new C({props:{name:"class transformers.YolosModel",anchor:"transformers.YolosModel",parameters:[{name:"config",val:": YolosConfig"},{name:"add_pooling_layer",val:": bool = True"}],parametersDescription:[{anchor:"transformers.YolosModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/yolos#transformers.YolosConfig">YolosConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/modeling_yolos.py#L600"}}),He=new C({props:{name:"forward",anchor:"transformers.YolosModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.YolosModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a>. See
<code>AutoFeatureExtractor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.YolosModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.YolosModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.YolosModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.YolosModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/modeling_yolos.py#L628",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/yolos#transformers.YolosConfig"
>YolosConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),pe=new Da({props:{$$slots:{default:[Ra]},$$scope:{ctx:I}}}),he=new Dn({props:{anchor:"transformers.YolosModel.forward.example",$$slots:{default:[Ua]},$$scope:{ctx:I}}}),Je=new oo({}),Ge=new C({props:{name:"class transformers.YolosForObjectDetection",anchor:"transformers.YolosForObjectDetection",parameters:[{name:"config",val:": YolosConfig"}],parametersDescription:[{anchor:"transformers.YolosForObjectDetection.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/yolos#transformers.YolosConfig">YolosConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/modeling_yolos.py#L709"}}),Ke=new C({props:{name:"forward",anchor:"transformers.YolosForObjectDetection.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"labels",val:": typing.Optional[typing.List[typing.Dict]] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.YolosForObjectDetection.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a>. See
<code>AutoFeatureExtractor.__call__()</code> for details.`,name:"pixel_values"},{anchor:"transformers.YolosForObjectDetection.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.YolosForObjectDetection.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.YolosForObjectDetection.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.YolosForObjectDetection.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.YolosForObjectDetection.forward.labels",description:`<strong>labels</strong> (<code>List[Dict]</code> of len <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the bipartite matching loss. List of dicts, each dictionary containing at least the
following 2 keys: <code>&apos;class_labels&apos;</code> and <code>&apos;boxes&apos;</code> (the class labels and bounding boxes of an image in the
batch respectively). The class labels themselves should be a <code>torch.LongTensor</code> of len <code>(number of bounding boxes in the image,)</code> and the boxes a <code>torch.FloatTensor</code> of shape <code>(number of bounding boxes in the image, 4)</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/yolos/modeling_yolos.py#L736",returnDescription:`
<p>A <code>transformers.models.yolos.modeling_yolos.YolosObjectDetectionOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/yolos#transformers.YolosConfig"
>YolosConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> are provided)) \u2014 Total loss as a linear combination of a negative log-likehood (cross-entropy) for class prediction and a
bounding box loss. The latter is defined as a linear combination of the L1 loss and the generalized
scale-invariant IoU loss.</li>
<li><strong>loss_dict</strong> (<code>Dict</code>, <em>optional</em>) \u2014 A dictionary containing the individual losses. Useful for logging.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, num_classes + 1)</code>) \u2014 Classification logits (including no-object) for all queries.</li>
<li><strong>pred_boxes</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_queries, 4)</code>) \u2014 Normalized boxes coordinates for all queries, represented as (center_x, center_y, width, height). These
values are normalized in [0, 1], relative to the size of each individual image in the batch (disregarding
possible padding). You can use <code>post_process()</code> to retrieve the unnormalized bounding
boxes.</li>
<li><strong>auxiliary_outputs</strong> (<code>list[Dict]</code>, <em>optional</em>) \u2014 Optional, only returned when auxilary losses are activated (i.e. <code>config.auxiliary_loss</code> is set to <code>True</code>)
and labels are provided. It is a list of dictionaries containing the two above keys (<code>logits</code> and
<code>pred_boxes</code>) for each decoder layer.</li>
<li><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of
the model at the output of each layer plus the optional initial embedding outputs.</li>
<li><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.</li>
</ul>
`,returnType:`
<p><code>transformers.models.yolos.modeling_yolos.YolosObjectDetectionOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ge=new Da({props:{$$slots:{default:[Wa]},$$scope:{ctx:I}}}),ue=new Dn({props:{anchor:"transformers.YolosForObjectDetection.forward.example",$$slots:{default:[Va]},$$scope:{ctx:I}}}),{c(){h=s("meta"),T=d(),_=s("h1"),g=s("a"),b=s("span"),v(c.$$.fragment),u=d(),D=s("span"),Dt=r("YOLOS"),Qo=d(),S=s("h2"),X=s("a"),Yo=s("span"),v(xe.$$.fragment),Lt=d(),To=s("span"),Ft=r("Overview"),Xo=d(),A=s("p"),At=r("The YOLOS model was proposed in "),$e=s("a"),qt=r("You Only Look at One Sequence: Rethinking Transformer in Vision through Object Detection"),Nt=r(` by Yuxin Fang, Bencheng Liao, Xinggang Wang, Jiemin Fang, Jiyang Qi, Rui Wu, Jianwei Niu, Wenyu Liu.
YOLOS proposes to just leverage the plain `),to=s("a"),Mt=r("Vision Transformer (ViT)"),St=r(" for object detection, inspired by DETR. It turns out that a base-sized encoder-only Transformer can also achieve 42 AP on COCO, similar to DETR and much more complex frameworks such as Faster R-CNN."),Ko=d(),so=s("p"),Rt=r("The abstract from the paper is the following:"),Zo=d(),no=s("p"),jo=s("em"),Ut=r("Can Transformer perform 2D object- and region-level recognition from a pure sequence-to-sequence perspective with minimal knowledge about the 2D spatial structure? To answer this question, we present You Only Look at One Sequence (YOLOS), a series of object detection models based on the vanilla Vision Transformer with the fewest possible modifications, region priors, as well as inductive biases of the target task. We find that YOLOS pre-trained on the mid-sized ImageNet-1k dataset only can already achieve quite competitive performance on the challenging COCO object detection benchmark, e.g., YOLOS-Base directly adopted from BERT-Base architecture can obtain 42.0 box AP on COCO val. We also discuss the impacts as well as limitations of current pre-train schemes and model scaling strategies for Transformer in vision through YOLOS."),et=d(),ao=s("p"),Wt=r("Tips:"),ot=d(),K=s("ul"),L=s("li"),Vt=r("One can use "),ro=s("a"),Bt=r("YolosFeatureExtractor"),Ht=r(" for preparing images (and optional targets) for the model. Contrary to "),io=s("a"),Jt=r("DETR"),Gt=r(", YOLOS doesn\u2019t require a "),Oo=s("code"),Qt=r("pixel_mask"),Xt=r(" to be created."),Kt=d(),Ye=s("li"),Zt=r("Demo notebooks (regarding inference and fine-tuning on custom data) can be found "),Te=s("a"),es=r("here"),os=r("."),tt=d(),Z=s("img"),st=d(),ee=s("small"),ts=r("YOLOS architecture. Taken from the "),lo=s("a"),ss=r("original paper"),ns=r("."),nt=d(),q=s("p"),as=r("This model was contributed by "),je=s("a"),rs=r("nielsr"),is=r(". The original code can be found "),Oe=s("a"),ls=r("here"),cs=r("."),at=d(),R=s("h2"),oe=s("a"),Po=s("span"),v(Pe.$$.fragment),ds=d(),Eo=s("span"),ms=r("YolosConfig"),rt=d(),P=s("div"),v(Ee.$$.fragment),ps=d(),U=s("p"),hs=r("This is the configuration class to store the configuration of a "),co=s("a"),fs=r("YolosModel"),gs=r(`. It is used to instantiate a YOLOS
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the YOLOS
`),Ce=s("a"),us=r("hustvl/yolos-base"),_s=r(" architecture."),bs=d(),W=s("p"),vs=r("Configuration objects inherit from "),mo=s("a"),ys=r("PretrainedConfig"),ws=r(` and can be used to control the model outputs. Read the
documentation from `),po=s("a"),xs=r("PretrainedConfig"),$s=r(" for more information."),Ys=d(),v(te.$$.fragment),it=d(),V=s("h2"),se=s("a"),Co=s("span"),v(Ie.$$.fragment),Ts=d(),Io=s("span"),js=r("YolosImageProcessor"),lt=d(),j=s("div"),v(ke.$$.fragment),Os=d(),ko=s("p"),Ps=r("Constructs a Detr image processor."),Es=d(),ne=s("div"),v(ze.$$.fragment),Cs=d(),zo=s("p"),Is=r("Preprocess an image or a batch of images so that it can be used by the model."),ks=d(),ae=s("div"),v(De.$$.fragment),zs=d(),Do=s("p"),Ds=r(`Pads a batch of images to the bottom and right of the image with zeros to the size of largest height and width
in the batch and optionally returns their corresponding pixel mask.`),Ls=d(),re=s("div"),v(Le.$$.fragment),Fs=d(),Fe=s("p"),As=r("Converts the output of "),ho=s("a"),qs=r("YolosForObjectDetection"),Ns=r(` into the format expected by the COCO api. Only supports
PyTorch.`),ct=d(),B=s("h2"),ie=s("a"),Lo=s("span"),v(Ae.$$.fragment),Ms=d(),Fo=s("span"),Ss=r("YolosFeatureExtractor"),dt=d(),O=s("div"),v(qe.$$.fragment),Rs=d(),Ao=s("p"),Us=r("Constructs a Detr image processor."),Ws=d(),le=s("div"),v(Ne.$$.fragment),Vs=d(),qo=s("p"),Bs=r("Preprocess an image or a batch of images."),Hs=d(),ce=s("div"),v(Me.$$.fragment),Js=d(),No=s("p"),Gs=r(`Pads a batch of images to the bottom and right of the image with zeros to the size of largest height and width
in the batch and optionally returns their corresponding pixel mask.`),Qs=d(),de=s("div"),v(Se.$$.fragment),Xs=d(),Re=s("p"),Ks=r("Converts the output of "),fo=s("a"),Zs=r("YolosForObjectDetection"),en=r(` into the format expected by the COCO api. Only supports
PyTorch.`),mt=d(),H=s("h2"),me=s("a"),Mo=s("span"),v(Ue.$$.fragment),on=d(),So=s("span"),tn=r("YolosModel"),pt=d(),F=s("div"),v(We.$$.fragment),sn=d(),Ve=s("p"),nn=r(`The bare YOLOS Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Be=s("a"),an=r("torch.nn.Module"),rn=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ln=d(),k=s("div"),v(He.$$.fragment),cn=d(),J=s("p"),dn=r("The "),go=s("a"),mn=r("YolosModel"),pn=r(" forward method, overrides the "),Ro=s("code"),hn=r("__call__"),fn=r(" special method."),gn=d(),v(pe.$$.fragment),un=d(),v(he.$$.fragment),ht=d(),G=s("h2"),fe=s("a"),Uo=s("span"),v(Je.$$.fragment),_n=d(),Wo=s("span"),bn=r("YolosForObjectDetection"),ft=d(),E=s("div"),v(Ge.$$.fragment),vn=d(),Vo=s("p"),yn=r("YOLOS Model (consisting of a ViT encoder) with object detection heads on top, for tasks such as COCO detection."),wn=d(),Qe=s("p"),xn=r("This model is a PyTorch "),Xe=s("a"),$n=r("torch.nn.Module"),Yn=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Tn=d(),z=s("div"),v(Ke.$$.fragment),jn=d(),Q=s("p"),On=r("The "),uo=s("a"),Pn=r("YolosForObjectDetection"),En=r(" forward method, overrides the "),Bo=s("code"),Cn=r("__call__"),In=r(" special method."),kn=d(),v(ge.$$.fragment),zn=d(),v(ue.$$.fragment),this.h()},l(o){const p=qa('[data-svelte="svelte-1phssyn"]',document.head);h=n(p,"META",{name:!0,content:!0}),p.forEach(t),T=m(o),_=n(o,"H1",{class:!0});var Ze=a(_);g=n(Ze,"A",{id:!0,class:!0,href:!0});var Ho=a(g);b=n(Ho,"SPAN",{});var Jo=a(b);y(c.$$.fragment,Jo),Jo.forEach(t),Ho.forEach(t),u=m(Ze),D=n(Ze,"SPAN",{});var Go=a(D);Dt=i(Go,"YOLOS"),Go.forEach(t),Ze.forEach(t),Qo=m(o),S=n(o,"H2",{class:!0});var eo=a(S);X=n(eo,"A",{id:!0,class:!0,href:!0});var qn=a(X);Yo=n(qn,"SPAN",{});var Nn=a(Yo);y(xe.$$.fragment,Nn),Nn.forEach(t),qn.forEach(t),Lt=m(eo),To=n(eo,"SPAN",{});var Mn=a(To);Ft=i(Mn,"Overview"),Mn.forEach(t),eo.forEach(t),Xo=m(o),A=n(o,"P",{});var _o=a(A);At=i(_o,"The YOLOS model was proposed in "),$e=n(_o,"A",{href:!0,rel:!0});var Sn=a($e);qt=i(Sn,"You Only Look at One Sequence: Rethinking Transformer in Vision through Object Detection"),Sn.forEach(t),Nt=i(_o,` by Yuxin Fang, Bencheng Liao, Xinggang Wang, Jiemin Fang, Jiyang Qi, Rui Wu, Jianwei Niu, Wenyu Liu.
YOLOS proposes to just leverage the plain `),to=n(_o,"A",{href:!0});var Rn=a(to);Mt=i(Rn,"Vision Transformer (ViT)"),Rn.forEach(t),St=i(_o," for object detection, inspired by DETR. It turns out that a base-sized encoder-only Transformer can also achieve 42 AP on COCO, similar to DETR and much more complex frameworks such as Faster R-CNN."),_o.forEach(t),Ko=m(o),so=n(o,"P",{});var Un=a(so);Rt=i(Un,"The abstract from the paper is the following:"),Un.forEach(t),Zo=m(o),no=n(o,"P",{});var Wn=a(no);jo=n(Wn,"EM",{});var Vn=a(jo);Ut=i(Vn,"Can Transformer perform 2D object- and region-level recognition from a pure sequence-to-sequence perspective with minimal knowledge about the 2D spatial structure? To answer this question, we present You Only Look at One Sequence (YOLOS), a series of object detection models based on the vanilla Vision Transformer with the fewest possible modifications, region priors, as well as inductive biases of the target task. We find that YOLOS pre-trained on the mid-sized ImageNet-1k dataset only can already achieve quite competitive performance on the challenging COCO object detection benchmark, e.g., YOLOS-Base directly adopted from BERT-Base architecture can obtain 42.0 box AP on COCO val. We also discuss the impacts as well as limitations of current pre-train schemes and model scaling strategies for Transformer in vision through YOLOS."),Vn.forEach(t),Wn.forEach(t),et=m(o),ao=n(o,"P",{});var Bn=a(ao);Wt=i(Bn,"Tips:"),Bn.forEach(t),ot=m(o),K=n(o,"UL",{});var ut=a(K);L=n(ut,"LI",{});var _e=a(L);Vt=i(_e,"One can use "),ro=n(_e,"A",{href:!0});var Hn=a(ro);Bt=i(Hn,"YolosFeatureExtractor"),Hn.forEach(t),Ht=i(_e," for preparing images (and optional targets) for the model. Contrary to "),io=n(_e,"A",{href:!0});var Jn=a(io);Jt=i(Jn,"DETR"),Jn.forEach(t),Gt=i(_e,", YOLOS doesn\u2019t require a "),Oo=n(_e,"CODE",{});var Gn=a(Oo);Qt=i(Gn,"pixel_mask"),Gn.forEach(t),Xt=i(_e," to be created."),_e.forEach(t),Kt=m(ut),Ye=n(ut,"LI",{});var _t=a(Ye);Zt=i(_t,"Demo notebooks (regarding inference and fine-tuning on custom data) can be found "),Te=n(_t,"A",{href:!0,rel:!0});var Qn=a(Te);es=i(Qn,"here"),Qn.forEach(t),os=i(_t,"."),_t.forEach(t),ut.forEach(t),tt=m(o),Z=n(o,"IMG",{src:!0,alt:!0,width:!0}),st=m(o),ee=n(o,"SMALL",{});var bt=a(ee);ts=i(bt,"YOLOS architecture. Taken from the "),lo=n(bt,"A",{href:!0});var Xn=a(lo);ss=i(Xn,"original paper"),Xn.forEach(t),ns=i(bt,"."),bt.forEach(t),nt=m(o),q=n(o,"P",{});var bo=a(q);as=i(bo,"This model was contributed by "),je=n(bo,"A",{href:!0,rel:!0});var Kn=a(je);rs=i(Kn,"nielsr"),Kn.forEach(t),is=i(bo,". The original code can be found "),Oe=n(bo,"A",{href:!0,rel:!0});var Zn=a(Oe);ls=i(Zn,"here"),Zn.forEach(t),cs=i(bo,"."),bo.forEach(t),at=m(o),R=n(o,"H2",{class:!0});var vt=a(R);oe=n(vt,"A",{id:!0,class:!0,href:!0});var ea=a(oe);Po=n(ea,"SPAN",{});var oa=a(Po);y(Pe.$$.fragment,oa),oa.forEach(t),ea.forEach(t),ds=m(vt),Eo=n(vt,"SPAN",{});var ta=a(Eo);ms=i(ta,"YolosConfig"),ta.forEach(t),vt.forEach(t),rt=m(o),P=n(o,"DIV",{class:!0});var be=a(P);y(Ee.$$.fragment,be),ps=m(be),U=n(be,"P",{});var vo=a(U);hs=i(vo,"This is the configuration class to store the configuration of a "),co=n(vo,"A",{href:!0});var sa=a(co);fs=i(sa,"YolosModel"),sa.forEach(t),gs=i(vo,`. It is used to instantiate a YOLOS
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the YOLOS
`),Ce=n(vo,"A",{href:!0,rel:!0});var na=a(Ce);us=i(na,"hustvl/yolos-base"),na.forEach(t),_s=i(vo," architecture."),vo.forEach(t),bs=m(be),W=n(be,"P",{});var yo=a(W);vs=i(yo,"Configuration objects inherit from "),mo=n(yo,"A",{href:!0});var aa=a(mo);ys=i(aa,"PretrainedConfig"),aa.forEach(t),ws=i(yo,` and can be used to control the model outputs. Read the
documentation from `),po=n(yo,"A",{href:!0});var ra=a(po);xs=i(ra,"PretrainedConfig"),ra.forEach(t),$s=i(yo," for more information."),yo.forEach(t),Ys=m(be),y(te.$$.fragment,be),be.forEach(t),it=m(o),V=n(o,"H2",{class:!0});var yt=a(V);se=n(yt,"A",{id:!0,class:!0,href:!0});var ia=a(se);Co=n(ia,"SPAN",{});var la=a(Co);y(Ie.$$.fragment,la),la.forEach(t),ia.forEach(t),Ts=m(yt),Io=n(yt,"SPAN",{});var ca=a(Io);js=i(ca,"YolosImageProcessor"),ca.forEach(t),yt.forEach(t),lt=m(o),j=n(o,"DIV",{class:!0});var N=a(j);y(ke.$$.fragment,N),Os=m(N),ko=n(N,"P",{});var da=a(ko);Ps=i(da,"Constructs a Detr image processor."),da.forEach(t),Es=m(N),ne=n(N,"DIV",{class:!0});var wt=a(ne);y(ze.$$.fragment,wt),Cs=m(wt),zo=n(wt,"P",{});var ma=a(zo);Is=i(ma,"Preprocess an image or a batch of images so that it can be used by the model."),ma.forEach(t),wt.forEach(t),ks=m(N),ae=n(N,"DIV",{class:!0});var xt=a(ae);y(De.$$.fragment,xt),zs=m(xt),Do=n(xt,"P",{});var pa=a(Do);Ds=i(pa,`Pads a batch of images to the bottom and right of the image with zeros to the size of largest height and width
in the batch and optionally returns their corresponding pixel mask.`),pa.forEach(t),xt.forEach(t),Ls=m(N),re=n(N,"DIV",{class:!0});var $t=a(re);y(Le.$$.fragment,$t),Fs=m($t),Fe=n($t,"P",{});var Yt=a(Fe);As=i(Yt,"Converts the output of "),ho=n(Yt,"A",{href:!0});var ha=a(ho);qs=i(ha,"YolosForObjectDetection"),ha.forEach(t),Ns=i(Yt,` into the format expected by the COCO api. Only supports
PyTorch.`),Yt.forEach(t),$t.forEach(t),N.forEach(t),ct=m(o),B=n(o,"H2",{class:!0});var Tt=a(B);ie=n(Tt,"A",{id:!0,class:!0,href:!0});var fa=a(ie);Lo=n(fa,"SPAN",{});var ga=a(Lo);y(Ae.$$.fragment,ga),ga.forEach(t),fa.forEach(t),Ms=m(Tt),Fo=n(Tt,"SPAN",{});var ua=a(Fo);Ss=i(ua,"YolosFeatureExtractor"),ua.forEach(t),Tt.forEach(t),dt=m(o),O=n(o,"DIV",{class:!0});var M=a(O);y(qe.$$.fragment,M),Rs=m(M),Ao=n(M,"P",{});var _a=a(Ao);Us=i(_a,"Constructs a Detr image processor."),_a.forEach(t),Ws=m(M),le=n(M,"DIV",{class:!0});var jt=a(le);y(Ne.$$.fragment,jt),Vs=m(jt),qo=n(jt,"P",{});var ba=a(qo);Bs=i(ba,"Preprocess an image or a batch of images."),ba.forEach(t),jt.forEach(t),Hs=m(M),ce=n(M,"DIV",{class:!0});var Ot=a(ce);y(Me.$$.fragment,Ot),Js=m(Ot),No=n(Ot,"P",{});var va=a(No);Gs=i(va,`Pads a batch of images to the bottom and right of the image with zeros to the size of largest height and width
in the batch and optionally returns their corresponding pixel mask.`),va.forEach(t),Ot.forEach(t),Qs=m(M),de=n(M,"DIV",{class:!0});var Pt=a(de);y(Se.$$.fragment,Pt),Xs=m(Pt),Re=n(Pt,"P",{});var Et=a(Re);Ks=i(Et,"Converts the output of "),fo=n(Et,"A",{href:!0});var ya=a(fo);Zs=i(ya,"YolosForObjectDetection"),ya.forEach(t),en=i(Et,` into the format expected by the COCO api. Only supports
PyTorch.`),Et.forEach(t),Pt.forEach(t),M.forEach(t),mt=m(o),H=n(o,"H2",{class:!0});var Ct=a(H);me=n(Ct,"A",{id:!0,class:!0,href:!0});var wa=a(me);Mo=n(wa,"SPAN",{});var xa=a(Mo);y(Ue.$$.fragment,xa),xa.forEach(t),wa.forEach(t),on=m(Ct),So=n(Ct,"SPAN",{});var $a=a(So);tn=i($a,"YolosModel"),$a.forEach(t),Ct.forEach(t),pt=m(o),F=n(o,"DIV",{class:!0});var wo=a(F);y(We.$$.fragment,wo),sn=m(wo),Ve=n(wo,"P",{});var It=a(Ve);nn=i(It,`The bare YOLOS Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Be=n(It,"A",{href:!0,rel:!0});var Ya=a(Be);an=i(Ya,"torch.nn.Module"),Ya.forEach(t),rn=i(It,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),It.forEach(t),ln=m(wo),k=n(wo,"DIV",{class:!0});var ve=a(k);y(He.$$.fragment,ve),cn=m(ve),J=n(ve,"P",{});var xo=a(J);dn=i(xo,"The "),go=n(xo,"A",{href:!0});var Ta=a(go);mn=i(Ta,"YolosModel"),Ta.forEach(t),pn=i(xo," forward method, overrides the "),Ro=n(xo,"CODE",{});var ja=a(Ro);hn=i(ja,"__call__"),ja.forEach(t),fn=i(xo," special method."),xo.forEach(t),gn=m(ve),y(pe.$$.fragment,ve),un=m(ve),y(he.$$.fragment,ve),ve.forEach(t),wo.forEach(t),ht=m(o),G=n(o,"H2",{class:!0});var kt=a(G);fe=n(kt,"A",{id:!0,class:!0,href:!0});var Oa=a(fe);Uo=n(Oa,"SPAN",{});var Pa=a(Uo);y(Je.$$.fragment,Pa),Pa.forEach(t),Oa.forEach(t),_n=m(kt),Wo=n(kt,"SPAN",{});var Ea=a(Wo);bn=i(Ea,"YolosForObjectDetection"),Ea.forEach(t),kt.forEach(t),ft=m(o),E=n(o,"DIV",{class:!0});var ye=a(E);y(Ge.$$.fragment,ye),vn=m(ye),Vo=n(ye,"P",{});var Ca=a(Vo);yn=i(Ca,"YOLOS Model (consisting of a ViT encoder) with object detection heads on top, for tasks such as COCO detection."),Ca.forEach(t),wn=m(ye),Qe=n(ye,"P",{});var zt=a(Qe);xn=i(zt,"This model is a PyTorch "),Xe=n(zt,"A",{href:!0,rel:!0});var Ia=a(Xe);$n=i(Ia,"torch.nn.Module"),Ia.forEach(t),Yn=i(zt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),zt.forEach(t),Tn=m(ye),z=n(ye,"DIV",{class:!0});var we=a(z);y(Ke.$$.fragment,we),jn=m(we),Q=n(we,"P",{});var $o=a(Q);On=i($o,"The "),uo=n($o,"A",{href:!0});var ka=a(uo);Pn=i(ka,"YolosForObjectDetection"),ka.forEach(t),En=i($o," forward method, overrides the "),Bo=n($o,"CODE",{});var za=a(Bo);Cn=i(za,"__call__"),za.forEach(t),In=i($o," special method."),$o.forEach(t),kn=m(we),y(ge.$$.fragment,we),zn=m(we),y(ue.$$.fragment,we),we.forEach(t),ye.forEach(t),this.h()},h(){l(h,"name","hf:doc:metadata"),l(h,"content",JSON.stringify(Ha)),l(g,"id","yolos"),l(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(g,"href","#yolos"),l(_,"class","relative group"),l(X,"id","overview"),l(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(X,"href","#overview"),l(S,"class","relative group"),l($e,"href","https://arxiv.org/abs/2106.00666"),l($e,"rel","nofollow"),l(to,"href","vit"),l(ro,"href","/docs/transformers/main/en/model_doc/yolos#transformers.YolosImageProcessor"),l(io,"href","detr"),l(Te,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/YOLOS"),l(Te,"rel","nofollow"),Na(Z.src,An="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/yolos_architecture.png")||l(Z,"src",An),l(Z,"alt","drawing"),l(Z,"width","600"),l(lo,"href","https://arxiv.org/abs/2106.00666"),l(je,"href","https://huggingface.co/nielsr"),l(je,"rel","nofollow"),l(Oe,"href","https://github.com/hustvl/YOLOS"),l(Oe,"rel","nofollow"),l(oe,"id","transformers.YolosConfig"),l(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(oe,"href","#transformers.YolosConfig"),l(R,"class","relative group"),l(co,"href","/docs/transformers/main/en/model_doc/yolos#transformers.YolosModel"),l(Ce,"href","https://huggingface.co/hustvl/yolos-base"),l(Ce,"rel","nofollow"),l(mo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(po,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(se,"id","transformers.YolosImageProcessor"),l(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(se,"href","#transformers.YolosImageProcessor"),l(V,"class","relative group"),l(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ho,"href","/docs/transformers/main/en/model_doc/yolos#transformers.YolosForObjectDetection"),l(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ie,"id","transformers.YolosImageProcessor"),l(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ie,"href","#transformers.YolosImageProcessor"),l(B,"class","relative group"),l(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(fo,"href","/docs/transformers/main/en/model_doc/yolos#transformers.YolosForObjectDetection"),l(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(me,"id","transformers.YolosModel"),l(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(me,"href","#transformers.YolosModel"),l(H,"class","relative group"),l(Be,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Be,"rel","nofollow"),l(go,"href","/docs/transformers/main/en/model_doc/yolos#transformers.YolosModel"),l(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(fe,"id","transformers.YolosForObjectDetection"),l(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(fe,"href","#transformers.YolosForObjectDetection"),l(G,"class","relative group"),l(Xe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Xe,"rel","nofollow"),l(uo,"href","/docs/transformers/main/en/model_doc/yolos#transformers.YolosForObjectDetection"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,p){e(document.head,h),f(o,T,p),f(o,_,p),e(_,g),e(g,b),w(c,b,null),e(_,u),e(_,D),e(D,Dt),f(o,Qo,p),f(o,S,p),e(S,X),e(X,Yo),w(xe,Yo,null),e(S,Lt),e(S,To),e(To,Ft),f(o,Xo,p),f(o,A,p),e(A,At),e(A,$e),e($e,qt),e(A,Nt),e(A,to),e(to,Mt),e(A,St),f(o,Ko,p),f(o,so,p),e(so,Rt),f(o,Zo,p),f(o,no,p),e(no,jo),e(jo,Ut),f(o,et,p),f(o,ao,p),e(ao,Wt),f(o,ot,p),f(o,K,p),e(K,L),e(L,Vt),e(L,ro),e(ro,Bt),e(L,Ht),e(L,io),e(io,Jt),e(L,Gt),e(L,Oo),e(Oo,Qt),e(L,Xt),e(K,Kt),e(K,Ye),e(Ye,Zt),e(Ye,Te),e(Te,es),e(Ye,os),f(o,tt,p),f(o,Z,p),f(o,st,p),f(o,ee,p),e(ee,ts),e(ee,lo),e(lo,ss),e(ee,ns),f(o,nt,p),f(o,q,p),e(q,as),e(q,je),e(je,rs),e(q,is),e(q,Oe),e(Oe,ls),e(q,cs),f(o,at,p),f(o,R,p),e(R,oe),e(oe,Po),w(Pe,Po,null),e(R,ds),e(R,Eo),e(Eo,ms),f(o,rt,p),f(o,P,p),w(Ee,P,null),e(P,ps),e(P,U),e(U,hs),e(U,co),e(co,fs),e(U,gs),e(U,Ce),e(Ce,us),e(U,_s),e(P,bs),e(P,W),e(W,vs),e(W,mo),e(mo,ys),e(W,ws),e(W,po),e(po,xs),e(W,$s),e(P,Ys),w(te,P,null),f(o,it,p),f(o,V,p),e(V,se),e(se,Co),w(Ie,Co,null),e(V,Ts),e(V,Io),e(Io,js),f(o,lt,p),f(o,j,p),w(ke,j,null),e(j,Os),e(j,ko),e(ko,Ps),e(j,Es),e(j,ne),w(ze,ne,null),e(ne,Cs),e(ne,zo),e(zo,Is),e(j,ks),e(j,ae),w(De,ae,null),e(ae,zs),e(ae,Do),e(Do,Ds),e(j,Ls),e(j,re),w(Le,re,null),e(re,Fs),e(re,Fe),e(Fe,As),e(Fe,ho),e(ho,qs),e(Fe,Ns),f(o,ct,p),f(o,B,p),e(B,ie),e(ie,Lo),w(Ae,Lo,null),e(B,Ms),e(B,Fo),e(Fo,Ss),f(o,dt,p),f(o,O,p),w(qe,O,null),e(O,Rs),e(O,Ao),e(Ao,Us),e(O,Ws),e(O,le),w(Ne,le,null),e(le,Vs),e(le,qo),e(qo,Bs),e(O,Hs),e(O,ce),w(Me,ce,null),e(ce,Js),e(ce,No),e(No,Gs),e(O,Qs),e(O,de),w(Se,de,null),e(de,Xs),e(de,Re),e(Re,Ks),e(Re,fo),e(fo,Zs),e(Re,en),f(o,mt,p),f(o,H,p),e(H,me),e(me,Mo),w(Ue,Mo,null),e(H,on),e(H,So),e(So,tn),f(o,pt,p),f(o,F,p),w(We,F,null),e(F,sn),e(F,Ve),e(Ve,nn),e(Ve,Be),e(Be,an),e(Ve,rn),e(F,ln),e(F,k),w(He,k,null),e(k,cn),e(k,J),e(J,dn),e(J,go),e(go,mn),e(J,pn),e(J,Ro),e(Ro,hn),e(J,fn),e(k,gn),w(pe,k,null),e(k,un),w(he,k,null),f(o,ht,p),f(o,G,p),e(G,fe),e(fe,Uo),w(Je,Uo,null),e(G,_n),e(G,Wo),e(Wo,bn),f(o,ft,p),f(o,E,p),w(Ge,E,null),e(E,vn),e(E,Vo),e(Vo,yn),e(E,wn),e(E,Qe),e(Qe,xn),e(Qe,Xe),e(Xe,$n),e(Qe,Yn),e(E,Tn),e(E,z),w(Ke,z,null),e(z,jn),e(z,Q),e(Q,On),e(Q,uo),e(uo,Pn),e(Q,En),e(Q,Bo),e(Bo,Cn),e(Q,In),e(z,kn),w(ge,z,null),e(z,zn),w(ue,z,null),gt=!0},p(o,[p]){const Ze={};p&2&&(Ze.$$scope={dirty:p,ctx:o}),te.$set(Ze);const Ho={};p&2&&(Ho.$$scope={dirty:p,ctx:o}),pe.$set(Ho);const Jo={};p&2&&(Jo.$$scope={dirty:p,ctx:o}),he.$set(Jo);const Go={};p&2&&(Go.$$scope={dirty:p,ctx:o}),ge.$set(Go);const eo={};p&2&&(eo.$$scope={dirty:p,ctx:o}),ue.$set(eo)},i(o){gt||(x(c.$$.fragment,o),x(xe.$$.fragment,o),x(Pe.$$.fragment,o),x(Ee.$$.fragment,o),x(te.$$.fragment,o),x(Ie.$$.fragment,o),x(ke.$$.fragment,o),x(ze.$$.fragment,o),x(De.$$.fragment,o),x(Le.$$.fragment,o),x(Ae.$$.fragment,o),x(qe.$$.fragment,o),x(Ne.$$.fragment,o),x(Me.$$.fragment,o),x(Se.$$.fragment,o),x(Ue.$$.fragment,o),x(We.$$.fragment,o),x(He.$$.fragment,o),x(pe.$$.fragment,o),x(he.$$.fragment,o),x(Je.$$.fragment,o),x(Ge.$$.fragment,o),x(Ke.$$.fragment,o),x(ge.$$.fragment,o),x(ue.$$.fragment,o),gt=!0)},o(o){$(c.$$.fragment,o),$(xe.$$.fragment,o),$(Pe.$$.fragment,o),$(Ee.$$.fragment,o),$(te.$$.fragment,o),$(Ie.$$.fragment,o),$(ke.$$.fragment,o),$(ze.$$.fragment,o),$(De.$$.fragment,o),$(Le.$$.fragment,o),$(Ae.$$.fragment,o),$(qe.$$.fragment,o),$(Ne.$$.fragment,o),$(Me.$$.fragment,o),$(Se.$$.fragment,o),$(Ue.$$.fragment,o),$(We.$$.fragment,o),$(He.$$.fragment,o),$(pe.$$.fragment,o),$(he.$$.fragment,o),$(Je.$$.fragment,o),$(Ge.$$.fragment,o),$(Ke.$$.fragment,o),$(ge.$$.fragment,o),$(ue.$$.fragment,o),gt=!1},d(o){t(h),o&&t(T),o&&t(_),Y(c),o&&t(Qo),o&&t(S),Y(xe),o&&t(Xo),o&&t(A),o&&t(Ko),o&&t(so),o&&t(Zo),o&&t(no),o&&t(et),o&&t(ao),o&&t(ot),o&&t(K),o&&t(tt),o&&t(Z),o&&t(st),o&&t(ee),o&&t(nt),o&&t(q),o&&t(at),o&&t(R),Y(Pe),o&&t(rt),o&&t(P),Y(Ee),Y(te),o&&t(it),o&&t(V),Y(Ie),o&&t(lt),o&&t(j),Y(ke),Y(ze),Y(De),Y(Le),o&&t(ct),o&&t(B),Y(Ae),o&&t(dt),o&&t(O),Y(qe),Y(Ne),Y(Me),Y(Se),o&&t(mt),o&&t(H),Y(Ue),o&&t(pt),o&&t(F),Y(We),Y(He),Y(pe),Y(he),o&&t(ht),o&&t(G),Y(Je),o&&t(ft),o&&t(E),Y(Ge),Y(Ke),Y(ge),Y(ue)}}}const Ha={local:"yolos",sections:[{local:"overview",title:"Overview"},{local:"transformers.YolosConfig",title:"YolosConfig"},{local:"transformers.YolosImageProcessor",title:"YolosImageProcessor"},{local:"transformers.YolosImageProcessor",title:"YolosFeatureExtractor"},{local:"transformers.YolosModel",title:"YolosModel"},{local:"transformers.YolosForObjectDetection",title:"YolosForObjectDetection"}],title:"YOLOS"};function Ja(I){return Ma(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class or extends La{constructor(h){super();Fa(this,h,Ja,Ba,Aa,{})}}export{or as default,Ha as metadata};
